function [res,vals,av_samples] = UR_Renyi_cont(x,num_trials,max_samples)
%

res = [];
av_samples = 0;

vals = zeros(num_trials,1);
for t = 1:num_trials
    t
    placed = [];
    num_samples = 0;
    while num_samples<max_samples&UR_still_room(placed,x)
        v = x*rand;
        placed = UR_try(placed,v,x);
        num_samples = num_samples + 1;
    end
    res(t).placed = placed;
    vals(t) = length(placed);
    av_samples = av_samples + num_samples;
end
av_samples = av_samples/num_trials;

function b = UR_still_room(placed,x)
%

b = 0;

if isempty(placed)
    b = 1;
    return
end

if placed(1)>1
    b = 1;
    return
end
num_placed = length(placed);
for p = 1:num_placed-1
    if placed(p+1)-(placed(p)+1)>=1
        b = 1;
        return
    end
end
if x-(placed(end)+1)>=1
    b = 1;
    return
end

function placed_out = UR_try(placed,v,x)
%

placed_out = placed;
if isempty(placed)
    if v>=0&x-v>=1
        placed_out = v;
    end
    return
end

num_placed = length(placed);
if v+1<=placed(1)
    placed_out = [v,placed_out];
    return
end
if v>=placed(end)+1&v+1<=x
    placed_out = [placed_out,v];
    return
end

for p = 1:num_placed-1
    if v>=placed(p)&v<=placed(p+1)
        if v+1<=placed(p+1)&placed(p)+1<=v
            placed_out = [placed(1:p),v,placed(p+1:end)];
            return
        end
    end
end
