function res = UR_Renyi_sim(n,num_trials)
%

res = zeros(num_trials,1);

for t = 1:num_trials
    seats = zeros(n,1);
    while UR_still_possible(seats)
        s = randi(n);
        if seats(s)==0&UR_seat_OK(s,seats)
            seats(s) = 1;
        end
    end
    res(t) = sum(seats);
    tch = 0;
end

function b = UR_still_possible(seats)
%
n = length(seats);
b = 0;

if n<=2
    if sum(seats)==0
        b = 1;
        return
    end
elseif sum([seats(1:2)])==0|sum([seats(n-1:n)])==0
    b = 1;
    return
else
    for k = 2:n-1
        if sum(seats(k-1:k+1))==0
            b = 1;
            return
        end
    end
end

function b = UR_seat_OK(s,seats)
%

b = 0;
n = length(seats);

if n<=2&sum(seats)==0
    b = 1;
    return
elseif s==1
    if sum([seats(1:2)])==0
        b = 1;
        return
    end
elseif s==n
    if sum([seats(n-1:n)])==0
        b = 1;
        return
    end
else
    if sum([seats(s-1:s+1)])==0
        b = 1;
        return
    end
end
