function roads = UR_gen_roads_X
% UR_gen_roads_X - generate some crossing grid of roads
% On inout:
%     N/A
% On output:
%     roads (road struct): describes roads
%       .vertexes (nx2 array): 2D vertexes of roads
%       .edges (kx2 array): edges (as road vertex pairs)
% Call:
%     roads = UR_gen_roads_X;
% Author:
%     T. Henderson
%     UU
%     Summer 2019
%

vertexes = zeros(7,3);
vertexes(1,1:2) = [1,501];
vertexes(2,1:2) = [1001,501];
vertexes(3,1:2) = [501,1];
vertexes(4,1:2) = [501,1001];
vertexes(5,1:2) = [501,501];
vertexes(6,1:2) = [1,1001];
vertexes(7,1:2) = [1001,1];

edges = [1,5; 2,5; 3,5; 4,5; 6,5; 7,5];

roads.vertexes = vertexes;
roads.edges = edges;

tch = 0;
