function [airways,flights] = UR_flight_driver
%

% Set up roads
%   roads.vertexes (nx3 array) x_i,y_i,0
%   roads.edges (kx2 array) v1,v2

%roads = UR_gen_roads_fixed3x3;

load('EB_ve');

roads.vertexes = vertexes;
roads.edges = edges;

launch_sites = [1:20]';
land_sites = [21:30]';

radius = 10;
offset = 20;
del = 3;
z_upper = 540;
z_lower = 470;
z_circle = 500;
z_launch = 0;
z_land = 0;

load('EB_airways')

%airways = UR_gen_airways(roads,launch_sites,land_sites,radius,offset,del,...
%    z_upper,z_lower,z_circle,z_launch,z_land);
[num_lanes,dummy] = size(airways.corridors(:,1));
for c = 1:num_lanes
    flights(c).flights = [];
end

flight_plans = [];
a_name = 'UR_A2_policy';
N = input('Num Flights: ');
count = 0;
for n = 1:N
    n
    td = rand*98 + 1;
    launch = randi(20);
    land = 20 + randi(10);
    flight_plan = UR_find_fp(1,td,50,1,launch,land,5,flights,airways,a_name);
    if ~isempty(flight_plan)
        count = count + 1;
        flight_plans(count).data = flight_plan;
        num_cors = length(flight_plan(:,1));
        flight_info = zeros(num_cors,9);
        for c = 1:num_cors
            flight_info(c,1:4) = flight_plan(c,1:4);
            flight_info(c,5) = 1;
            flight_info(c,6:9) = [1,1,1,9];
        end
        for c = 1:num_cors
            cor = flight_info(c,4);
            if isempty(flights(cor).flights)
                flights(cor).flights = flight_info(c,:);
            else
                flights(cor).flights = [flights(cor).flights;...
                    flight_info(c,:)];
            end
        end
    end
end
tch = 0;
